# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLTableColElement Class Reference

Regroups the `COL` and `COLGROUP` elements. More...

`#include <html_table.h>`

Inheritance diagram for DOM::HTMLTableColElement:

[legend]
Collaboration diagram for DOM::HTMLTableColElement:

[legend]
List of all members.

## Public Member Functions

| HTMLTableColElement (const HTMLTableColElement &other)
| HTMLTableColElement (const Node &other)
HTMLTableColElement & | operator= (const HTMLTableColElement &other)
HTMLTableColElement & | operator= (const Node &other)
DOMString | align () const
void | setAlign (const DOMString &)
DOMString | ch () const
void | setCh (const DOMString &)
DOMString | chOff () const
void | setChOff (const DOMString &)
long | span () const
void | setSpan (long)
DOMString | vAlign () const
void | setVAlign (const DOMString &)
DOMString | width () const
void | setWidth (const DOMString &)

## Protected Member Functions

| HTMLTableColElement (HTMLTableColElementImpl *impl)

## Friends

class | HTMLTableElement

## Detailed Description

Regroups the `COL` and `COLGROUP` elements.

See the COL element definition in HTML 4.0.

Definition at line 322 of file html_table.h.

## Member Function Documentation

DOMString HTMLTableColElement::align | ( |  | ) | const

| Horizontal alignment of cell data in column. See the align attribute definition in HTML 4.0. Definition at line 319 of file html_table.cpp.

void HTMLTableColElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 325 of file html_table.cpp.

DOMString HTMLTableColElement::ch | ( |  | ) | const

| Alignment character for cells in a column. See the char attribute definition in HTML 4.0. Definition at line 330 of file html_table.cpp.

void HTMLTableColElement::setCh | ( | const DOMString & |  | ) |

| see ch Definition at line 336 of file html_table.cpp.

DOMString HTMLTableColElement::chOff | ( |  | ) | const

| Offset of alignment character. See the charoff attribute definition in HTML 4.0. Definition at line 341 of file html_table.cpp.

void HTMLTableColElement::setChOff | ( | const DOMString & |  | ) |

| see chOff Definition at line 347 of file html_table.cpp.

long HTMLTableColElement::span | ( |  | ) | const

| Indicates the number of columns in a group or affected by a grouping. See the span attribute definition in HTML 4.0. Definition at line 352 of file html_table.cpp. References DOM::DOMString::toInt().

void HTMLTableColElement::setSpan | ( | long |  | ) |

| see span Definition at line 358 of file html_table.cpp.

DOMString HTMLTableColElement::vAlign | ( |  | ) | const

| Vertical alignment of cell data in column. See the valign attribute definition in HTML 4.0. Definition at line 366 of file html_table.cpp.

void HTMLTableColElement::setVAlign | ( | const DOMString & |  | ) |

| see vAlign Definition at line 372 of file html_table.cpp.

DOMString HTMLTableColElement::width | ( |  | ) | const

| Default column width. See the width attribute definition in HTML 4.0. Definition at line 377 of file html_table.cpp.

void HTMLTableColElement::setWidth | ( | const DOMString & |  | ) |

| see width Definition at line 383 of file html_table.cpp.

The documentation for this class was generated from the following files:

- html_table.h
- html_table.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:31 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003